aboutsummaryrefslogtreecommitdiffstats
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2013-06-26 19:38:47 +0000
committerGuy Harris <guy@alum.mit.edu>2013-06-26 19:38:47 +0000
commitc2e995bd6d3d7cde3c2e15026ee21b1655f3c862 (patch)
tree1ad81d16af2d9d32031fdf315e0d9e23b8dc1847 /macosx-setup.sh
parentffc5183fd295776d01822e146260c36c01bd6e68 (diff)
downloadwireshark-c2e995bd6d3d7cde3c2e15026ee21b1655f3c862.tar.gz
wireshark-c2e995bd6d3d7cde3c2e15026ee21b1655f3c862.tar.bz2
wireshark-c2e995bd6d3d7cde3c2e15026ee21b1655f3c862.zip
Suppress -Wformat-nonliteral when building GLib, to avoid a clang bug
where it issues bogus warnings. svn path=/trunk/; revision=50174
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 719392d00b..94458219a2 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -324,12 +324,15 @@ if [ ! -f glib-$GLIB_VERSION-done ] ; then
# "#define.*MACOSX" in /usr/include/ffi/fficonfig.h, explictly
# define it.
#
+ # While we're at it, suppress -Wformat-nonliteral to avoid a clang
+ # bug where it issues bogus warnings.
+ #
if grep -qs '#define.*MACOSX' /usr/include/ffi/fficonfig.h
then
# It's defined, nothing to do
- LIBFFI_CFLAGS="$CFLAGS -I/usr/include/ffi" LIBFFI_LIBS="$LDFLAGS -lffi" ./configure || exit 1
+ CFLAGS="$CFLAGS -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I/usr/include/ffi" LIBFFI_LIBS="$LDFLAGS -lffi" ./configure || exit 1
else
- CFLAGS="$CFLAGS -DMACOSX" LIBFFI_CFLAGS="$CFLAGS -I/usr/include/ffi" LIBFFI_LIBS="LDFLAGS-lffi" ./configure || exit 1
+ CFLAGS="$CFLAGS -DMACOSX -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I/usr/include/ffi" LIBFFI_LIBS="LDFLAGS-lffi" ./configure || exit 1
fi
make $MAKE_BUILD_OPTS || exit 1
# Apply patch: we depend on libffi, but pkg-config doesn't get told.